• Installation error. Cannot create download package list (metalinks)


    Hi!
    I’m trying to install Antergos, but the installation fails everytime with the message "Cannot create download package list (metalinks).
    I have googled in this issue and tried every “fix” for this, including fixing mirror-list, use a script that is removing unresponsive mirrors and so on. Looks like I have trouble with lib32-mesa package that was fixed several months ago. I am using the latest installer (downloaded today), version 0.14.475.
    Default installation, but deepin desktop and added firefox, ssh-server, AUR and uncomplicated firewall.
    Using defaults for partition my disk.

    This is my cnchi.log from /tmp/cnchi.log:

    2018-09-08 21:13:44 [ERROR] metalink.py(126) create(): Can’t find these packages: lib32-mesa
    2018-09-08 21:13:46 [ERROR] process.py(142) run(): File “/usr/share/cnchi/src/installation/process.py”, line 99, in run
    self.create_metalinks_list()

    How can I resolve this issue? I’m using a Nvidia-card (GTX 1060)

  • @joekamprad Thanks, I saw the other thread when I have created mine.
    I hope this will get fixed soon, so I wait until it’s fixed. Have trouble downloading torrents on my network because my firewall blocks torrents. Haven’t hade time to set rules up for torrent traffic yet.

    Can I direct download 18.8 iso somewhere (not torrent?)

  • you can also uncomment multilib inside /etc/pacman.conf like this in a terminal:

    sudo nano /etc/pacman.conf

    [multilib]
    #SigLevel = PackageRequired
    Include = /etc/pacman.d/mirrorlist
    

    then:

    sudo pacman -Syy

  • well after 4 days of trying to install 18.9 i tried 18.8 and installation completed but it would boot to the live installer i finally got it working by booting into systemmd instead of grub2 anyone know the difference between 18.8 and 18.9 can if i just upgrade via terminal will it put me at 18.9?

  • @patrickdisimone Versions of ISO are mostly only including updated packages, and some enhancements, or just in the case of 18.9 possible a BUG … the installer itself is CNCHI and this one will update itself to latest version also on 18.8…

    The BUG on 18.9 is that one REPO is not aviable so CNCHI do not get all needed packages to install full system.

  • @widde i just start uploading here:

    http://kamprad.net/Downloads/antergos-18.8-x86_64.iso

    will need 30 minutes to get aviable…

  • @joekamprad Thanks!
    Seems like it solved the problem. :) Installation started and I’m currently installing it while writing this. :)
    What exactly is multilib? Why is it disabled by default?

  • multilib is holding libs for backward compatibility for 32bit stuff, as we run on 64bit today…
    As far as i understand it is disabled by accident or some changes needed… devs are working on it to find out and solve this at the moment.

  • Ah! Now after several days I’m able to install the antergos, thanks to devs for fixing this error.

  • @joekamprad said in Installation error. Cannot create download package list (metalinks):

    you can also uncomment multilib inside /etc/pacman.conf like this in a terminal:

    sudo nano /etc/pacman.conf

    [multilib]
    #SigLevel = PackageRequired
    Include = /etc/pacman.d/mirrorlist
    

    then:

    sudo pacman -Syy

    Did this and got a message that databases were synced successfully. Then I ran the installer, and it displays red flag that Cnchi is NOT up to date, even if popup at the top of window said that Cnchi was updated to the latest version. So I ran Cnchi updater again - still the same: popup claims it was updates, installer says it was not.

    Anyhow, I proceeded to installation and got to the point where Cnchi is ranking mirrors. The “ranking mirrors” popup is now displayed for 10+ minutes (progress bar is complete in 100%) and nothing else happens…

  • Seems 18.9 ISO is screwed up …
    But 18.9 is still working.

  • Installed from 18.8 ISO, no single problem…

  • @toxpal the issue has already been fixed. You just have to close the installer and update it manually, that’s it. And yeah, you can also uncomment multitab in pacman.conf. It’s all I did, and installation was successful.

  • i can not install from 18.9 ISO in any way… it hangs on ranking mirrors… 18.8 is working without any issue…

  • karasu say at GitHub: “We will upload a new ISO to our server as soon as possible. We’ve also patched Cnchi so it does not happen again.”

error307 installation289 download31 metalinks14 Posts 17Views 1851
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.